Subject: Re: [RFC 3/4] net: pppol2tp - introduce net-namespace functionality

From: Cyrill Gorcunov <[email-masked]>
Date: Sat, 10 Jan 2009 19:12:57 +0300

[Cyrill Gorcunov - Sat, Jan 10, 2009 at 06:19:58PM +0300]
| [James Chapman - Sat, Jan 10, 2009 at 03:05:13PM +0000]
| | Cyrill Gorcunov wrote:
| | > [Cyrill Gorcunov - Sat, Jan 10, 2009 at 02:13:59PM +0300]
| | > | [James Chapman - Sat, Jan 10, 2009 at 11:06:08AM +0000]
| | > | | Cyrill Gorcunov wrote:
| | > | | > - Each tunnel and appropriate lock are inside own namespace now.
| | > | | > - pppox code allows to create per-namespace sockets for
| | > | | >   both PX_PROTO_OE and PX_PROTO_OL2TP protocols. Actually since
| | > | | >   now pppox_create support net-namespaces new PPPo... protocols
| | > | | >   (if they ever will be) should support net-namespace too otherwise
| | > | | >   explicit check for &init_net would be needed.
| | 
| | Ok, I tested this in my L2TP setup. The first ppp session setup fails
| | because the PPPIOCNEWUNIT ioctl returns -EEXIST. I think the problem is
| |  the logic in ppp_create_interface(), which does the following to create
| | a new ppp interface:
| | 
| |         /* Initialize the new ppp unit */
| |         ppp->file.index = unit;
| |         sprintf(dev->name, "ppp%d", unit);
| | 
| |         ret = register_netdev(dev);
| | 
| | Looks like there is more work to do in the ppp changes.
| | 
| | -- 
| | James Chapman
| | Katalix Systems Ltd
| | http://www.katalix.com
| | Catalysts for your Embedded Linux software development
| |
...

Btw James did connection work without these patches? On
pure net-next-2.6 tree? I've some bad feeling that this
fail is related to different patch. Just to be sure.
 
		- Cyrill -